Retrieves all the company contact
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "ab7a3a9a-fc17-4a20-81b0-59274729d1ec",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "6deca51a-ad56-44c6-bbdf-017d50374474",
"company_code": "sample string 5",
"company": {
"id": "9c1f1a01-9f37-4d7b-8409-658caa818ff4",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-09-20T07:32:36.9645256+00:00",
"sales_territory_id": "8316f526-4b96-4a08-bcf7-fd0d4a0c7e28",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "0ada73fd-4ad0-405b-8aa5-10499138efe4",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "18ec5f47-fe97-42b6-a098-344369fb3658",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "8e4c8ec1-cee6-491d-9135-11956021afd5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b3eb1af5-40e9-48ea-8656-319e37302409",
"db_currency_id": "aab997d0-5321-409b-9527-d7a35b6cf9f8",
"db_language_id": "625156fd-da99-4464-8147-8436aea8064c",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-09-20T07:32:36.9645256+00:00"
},
"modified_dateutc": "2026-09-20T07:32:36.9645256+00:00"
},
"marketing_segment_id": "6d1fbde7-05ad-40ef-b43e-7b1b2c131b8f",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "5a87d421-ec76-4af6-ab3f-70a15cf3e682",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "c4ae447a-0d32-493a-973c-3633948750d1",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "899b9726-717b-4478-a9dc-f718a16a3a51",
"db_country_code": "sample string 28",
"feelist_id": "e771faa2-39ad-4492-855f-9327765b188d",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "92061226-3a4e-4d17-a2e9-9bfe756b1b08",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "c5352260-0d22-49f8-b8d9-a517f118eb5a",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-09-20T07:32:36.9645256+00:00",
"db_currency_id": "3f278a49-aa07-4f2e-80ca-5a7ee0744763",
"db_currency_code": "sample string 10"
},
"company_type_id": "dec8db24-90c3-4a56-b930-e6e1893c4756",
"company_type_name": "sample string 32",
"company_type": {
"id": "fc063434-10e2-469f-a50a-7c9dca6098d6",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "308f723b-89b8-4958-8df4-2d42a5a4a1c6",
"sales_organization_code": "sample string 5"
},
"db_language_id": "be8bf2c5-4178-4233-bea8-20fc4ccc6533",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "dc078531-d20f-4c79-9a44-07880d8f4f93",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "ba76bf9b-5844-46c7-8710-74471f81007a",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "e5df1a64-7cd3-4126-9a8d-7865b5c1816c",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-09-20T07:32:36.9645256+00:00"
},
"company_sector_id": "457d9823-2bfc-4abd-ab9e-4c6e2ac1cdb9",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "76de9195-ab3d-46d8-ac6f-a13fc07598c3",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "6a868218-5838-445a-9de7-cee95d1b9fdd",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "15444519-d2fa-489d-adf7-6043cca7ecec",
"account_manager_user_code": "sample string 56",
"company_status_id": "038f2f7b-792f-4b4b-9442-a6921dddc50f",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-09-20T07:32:36.9645256+00:00",
"id2": 60
},
"db_language_id": "2e98accb-d533-4fe6-8624-eabd77a9371f",
"db_language_code": "sample string 7",
"db_title_id": "d19fd030-c54e-4049-8dd9-1e220e6ef7b7",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-09-20T07:32:36.9645256+00:00",
"create_date": "2026-09-20T07:32:36.9645256+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-09-20T07:32:36.9645256+00:00"
}